# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    synfigstudio
%define version 0.61.03
%define release 1.2006mcnl
%define summary 2D Vector Animation program
%define section Multimedia/Graphics

%define major 0
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} %{major} -d

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:		http://www.synfig.com
License:        GPL
Group:          Graphics
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

BuildRequires:  libgtkmm2.4_1-devel libsynfig0-devel synfig
Requires:	%{libname} = %{version}-%{release}

%description
Synfig is a powerful, industrial-strength vector-based 2D animation 
software package, designed from the ground-up for producing feature-film 
quality animation with fewer people and resources. While there are many 
other programs currently on the market to aid with the efficient production 
of 2D animation, we are currently unaware of any other software that can 
do what our software can.

%package -n %{libname}
Summary:	Synfigstudio main library
Group:		System/Libraries
License:	GPL
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}
Library of synfigstudio.

%package -n %{libnamedev}
Summary:    Synfigstudio library devel
Group:      System/Libraries
License:	GPL
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
These're the files needed to develop applications that 
use synfigstudio libraries

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

%configure --datadir=${prefix}/usr/share/synfigstudio 

%make

%install

make install DESTDIR=$RPM_BUILD_ROOT

#icons
%define  nameicon images/synfig_icon.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%name" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Synfigstudio" \
longtitle="2D Vector Animation program"
EOF

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755)
%doc README
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png

%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime-info/%{name}.keys
%{_datadir}/mime-info/%{name}.mime
%{_datadir}/%{name}/pixmaps/*

%files -n %{libname}
%defattr(-,root,root,0755)
%{_libdir}/libsynfigapp.so.0
%{_libdir}/libsynfigapp.so.0.0.0

%files -n %{libnamedev}
%defattr(-,root,root,0755) 

%{_includedir}/synfigapp-*

%{_libdir}/libsynfigapp.la
%{_libdir}/libsynfigapp.so


%changelog 

* Sun Dec 11 2005 Marco Meijer <marco@mandrivaclub.nl>  0.61.03-1.2006mcnl
- first Mandrivaclub.nl build


